locked
Unable to install latest IR on IaaS Server due to missing old version[2.3.6100.2] DataManagementgateway.msi installer RRS feed

  • Question

  • Hi Team,

    When we try to install latest integration run time on IaaS server, installation is failing due to "datamanagementgateway.msi" old version [2.3.6100.2] is not available in the system.

    We are not able uninstall the "data management service" from "control panel/programs" also due to the same.

    Please help here to uninstall the "data management service" and install latest IR on server.

    Monday, April 6, 2020 6:27 PM

All replies

  • Hello nandhureddy.gopu and thank you for bringing this to our attention.

    To upgrade, could you please:

    1. Uninstall 4.x version (if installed) and keep data during the uninstallation
    2. Install 3.20.7159.1 version: https://download.microsoft.com/download/E/4/7/E4771905-1079-445B-8BF9-8A1A075D8A10/IntegrationRuntime_3.20.7159.1 (64-bit).msi
    3. Install 4.x version https://www.microsoft.com/en-us/download/details.aspx?id=39717
    Monday, April 6, 2020 11:59 PM
  • Hi MartinJaffer-MSFT,

    Thank you for the reply and information. But unfortunately, above steps are not helped to uninstall the existing version and also not helped install latest version.

    Still getting same error "datamanagementgateway.msi" old version [2.3.6100.2] is not available in the system.

    If possible, could you please share the installer link for the version 2.3.6100.2] if available.

    Tuesday, April 7, 2020 6:59 AM
  • Thank you for letting me know.  I am reaching out internally for more information.

    If you do not mind me asking, is this related to migrating from Data Factory V1 -> Data Factory V2 ?

    Wednesday, April 8, 2020 12:30 AM
  • We just want use IaaS machine to install the latest integration run time to configure the machine as SHIR for data factory v2.

    We are not sure about the previous version of IntegrationRuntime (I hope previously it was called as datamanagementservice) installation on the machine.

    When we try to install the latest integration run time, installation is failing due to the dependency file "datamanagementgateway.msi" old version [2.3.6100.2] is not available in the system.

    Getting same error while uninstalling the datamanagement service from control panel/programs.

    Wednesday, April 8, 2020 4:51 AM
  • Hello nandhureddy.gopu .  After some internal investigation I found you raised a support ticket and are getting assistance there.  Could you please share what your resolution was?
    Wednesday, April 8, 2020 11:12 PM
  • Hi MartinJaffer-MSFT,

    Still we didn't get any resolution. They have suggested us to use another machine to install the IR or re-image the server. 

    Thursday, April 9, 2020 10:41 AM